uuid: 9044a42a-bf11-44ba-8b27-fa38d99f8dba
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.body
    - field.storage.node.field_distributor
    - field.storage.node.field_famille
    - field.storage.node.field_manufacturer
    - field.storage.node.field_reference
    - field.storage.node.field_short_description
    - field.storage.node.field_tags
    - field.storage.taxonomy_term.field_synonyms
    - field.storage.node.field_thesaurus
    - search_api.server.materio
  module:
    - search_api_solr
    - materio_sapi
    - taxonomy
    - node
    - synonyms
    - search_api
    - address
third_party_settings:
  search_api_solr:
    finalize: true
    commit_before_finalize: false
    commit_after_finalize: false
    highlighter:
      maxAnalyzedChars: 51200
      fragmenter: gap
      usePhraseHighlighter: false
      highlightMultiTerm: false
      preserveMulti: false
      regex:
        slop: 0.5
        pattern: blank
        maxAnalyzedChars: 10000
      highlight:
        mergeContiguous: false
        requireFieldMatch: false
        snippets: 3
        fragsize: 0
    mlt:
      mintf: 1
      mindf: 1
      maxdf: 0
      maxdfpct: 0
      minwl: 0
      maxwl: 0
      maxqt: 100
      maxntp: 2000
      boost: false
      interestingTerms: none
    term_modifiers:
      slop: 10000000
      fuzzy: 2
    advanced:
      index_prefix: ''
      collection: ''
      timezone: ''
    multilingual:
      limit_to_content_language: true
      include_language_independent: true
id: database
name: database
description: ''
read_only: false
field_settings:
  field_country_name_computed:
    label: 'Country Name'
    datasource_id: 'entity:node'
    property_path: field_country_name_computed
    type: 'solr_text_custom:asciistring'
    boost: !!float 3
    dependencies:
      module:
        - materio_sapi
  field_famille:
    label: Famille
    datasource_id: 'entity:node'
    property_path: field_famille
    type: string
    dependencies:
      config:
        - field.storage.node.field_famille
  field_reference:
    label: Reference
    datasource_id: 'entity:node'
    property_path: field_reference
    type: solr_text_wstoken
    boost: !!float 21
    dependencies:
      config:
        - field.storage.node.field_reference
  field_short_description:
    label: 'Short description'
    datasource_id: 'entity:node'
    property_path: field_short_description
    type: text
    dependencies:
      config:
        - field.storage.node.field_short_description
  name:
    label: 'Manufacturer » Terme de taxonomie » Nom'
    datasource_id: 'entity:node'
    property_path: 'field_manufacturer:entity:name'
    type: text
    dependencies:
      config:
        - field.storage.node.field_manufacturer
      module:
        - taxonomy
  name_1:
    label: 'Distributor » Terme de taxonomie » Nom'
    datasource_id: 'entity:node'
    property_path: 'field_distributor:entity:name'
    type: text
    dependencies:
      config:
        - field.storage.node.field_distributor
      module:
        - taxonomy
  nid:
    label: ID
    datasource_id: 'entity:node'
    property_path: nid
    type: integer
    dependencies:
      module:
        - node
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  processed:
    label: 'Description » Processed text'
    datasource_id: 'entity:node'
    property_path: 'body:processed'
    type: text
    dependencies:
      config:
        - field.storage.node.body
  status:
    label: status
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  tag_name:
    label: 'Tags » Taxonomy term » Name'
    datasource_id: 'entity:node'
    property_path: 'field_tags:entity:name'
    type: solr_text_wstoken
    boost: !!float 8
    dependencies:
      config:
        - field.storage.node.field_tags
      module:
        - taxonomy
  tag_synonyms:
    label: 'Tags » Taxonomy term » Synonyms'
    datasource_id: 'entity:node'
    property_path: 'field_tags:entity:field_synonyms'
    type: solr_text_wstoken
    boost: !!float 8
    dependencies:
      config:
        - field.storage.node.field_tags
        - field.storage.taxonomy_term.field_synonyms
      module:
        - taxonomy
  tag_tid:
    label: 'Tags » Taxonomy term » Term ID'
    datasource_id: 'entity:node'
    property_path: 'field_tags:entity:tid'
    type: integer
    boost: !!float 8
    dependencies:
      config:
        - field.storage.node.field_tags
      module:
        - taxonomy
  thesaurus_name:
    label: 'Thesaurus » Taxonomy term » Name'
    datasource_id: 'entity:node'
    property_path: 'field_thesaurus:entity:name'
    type: 'solr_text_custom:asciistring'
    boost: !!float 2
    dependencies:
      config:
        - field.storage.node.field_thesaurus
      module:
        - taxonomy
  thesaurus_name_0:
    label: 'Thesaurus 0 » Terme de taxonomie » Nom'
    datasource_id: 'entity:node'
    property_path: 'thesaurus_0:entity:name'
    type: 'solr_text_custom:asciistring'
    boost: !!float 21
    dependencies:
      module:
        - materio_sapi
        - taxonomy
  thesaurus_name_1:
    label: 'Thesaurus 1 » Terme de taxonomie » Nom'
    datasource_id: 'entity:node'
    property_path: 'thesaurus_1:entity:name'
    type: 'solr_text_custom:asciistring'
    boost: !!float 13
    dependencies:
      module:
        - materio_sapi
        - taxonomy
  thesaurus_name_2:
    label: 'Thesaurus 2 » Terme de taxonomie » Nom'
    datasource_id: 'entity:node'
    property_path: 'thesaurus_2:entity:name'
    type: 'solr_text_custom:asciistring'
    boost: !!float 8
    dependencies:
      module:
        - materio_sapi
        - taxonomy
  thesaurus_name_3:
    label: 'Thesaurus 3 » Terme de taxonomie » Nom'
    datasource_id: 'entity:node'
    property_path: 'thesaurus_3:entity:name'
    type: 'solr_text_custom:asciistring'
    boost: !!float 5
    dependencies:
      module:
        - materio_sapi
        - taxonomy
  thesaurus_name_4:
    label: 'Thesaurus 4 » Terme de taxonomie » Nom'
    datasource_id: 'entity:node'
    property_path: 'thesaurus_4:entity:name'
    type: 'solr_text_custom:asciistring'
    boost: !!float 3
    dependencies:
      module:
        - materio_sapi
        - taxonomy
  thesaurus_name_edgenstringascii:
    label: 'Thesaurus » Terme de taxonomie » Nom'
    datasource_id: 'entity:node'
    property_path: 'field_thesaurus:entity:name'
    type: 'solr_text_custom:edgeasciistring'
    boost: 0.5
    dependencies:
      config:
        - field.storage.node.field_thesaurus
      module:
        - taxonomy
  thesaurus_synonyms:
    label: 'Thesaurus » Taxonomy term » Synonyms'
    datasource_id: 'entity:node'
    property_path: 'field_thesaurus:entity:field_synonyms'
    type: 'solr_text_custom:asciistring'
    boost: !!float 2
    dependencies:
      config:
        - field.storage.node.field_thesaurus
        - field.storage.taxonomy_term.field_synonyms
      module:
        - taxonomy
  thesaurus_synonyms_0:
    label: 'Thesaurus 0 » Terme de taxonomie » Synonyms list'
    datasource_id: 'entity:node'
    property_path: 'thesaurus_0:entity:synonyms'
    type: 'solr_text_custom:asciistring'
    boost: !!float 21
    dependencies:
      module:
        - materio_sapi
        - synonyms
        - taxonomy
  thesaurus_synonyms_1:
    label: 'Thesaurus 1 » Terme de taxonomie » Synonyms'
    datasource_id: 'entity:node'
    property_path: 'thesaurus_1:entity:field_synonyms'
    type: 'solr_text_custom:asciistring'
    boost: !!float 13
    dependencies:
      config:
        - field.storage.taxonomy_term.field_synonyms
      module:
        - materio_sapi
        - taxonomy
  thesaurus_synonyms_2:
    label: 'Thesaurus 2 » Terme de taxonomie » Synonyms'
    datasource_id: 'entity:node'
    property_path: 'thesaurus_2:entity:field_synonyms'
    type: 'solr_text_custom:asciistring'
    boost: !!float 8
    dependencies:
      config:
        - field.storage.taxonomy_term.field_synonyms
      module:
        - materio_sapi
        - taxonomy
  thesaurus_synonyms_3:
    label: 'Thesaurus 3 » Terme de taxonomie » Synonyms'
    datasource_id: 'entity:node'
    property_path: 'thesaurus_3:entity:field_synonyms'
    type: 'solr_text_custom:asciistring'
    boost: !!float 5
    dependencies:
      config:
        - field.storage.taxonomy_term.field_synonyms
      module:
        - materio_sapi
        - taxonomy
  thesaurus_synonyms_4:
    label: 'Thesaurus 4 » Terme de taxonomie » Synonyms'
    datasource_id: 'entity:node'
    property_path: 'thesaurus_4:entity:field_synonyms'
    type: 'solr_text_custom:asciistring'
    boost: !!float 3
    dependencies:
      config:
        - field.storage.taxonomy_term.field_synonyms
      module:
        - materio_sapi
        - taxonomy
  thesaurus_synonyms_edgenstringascii:
    label: 'Thesaurus » Terme de taxonomie » Synonyms'
    datasource_id: 'entity:node'
    property_path: 'field_thesaurus:entity:field_synonyms'
    type: 'solr_text_custom:edgeasciistring'
    boost: 0.5
    dependencies:
      config:
        - field.storage.node.field_thesaurus
        - field.storage.taxonomy_term.field_synonyms
      module:
        - taxonomy
  thesaurus_tid:
    label: 'Thesaurus » Taxonomy term » Term ID'
    datasource_id: 'entity:node'
    property_path: 'field_thesaurus:entity:tid'
    type: integer
    boost: !!float 8
    dependencies:
      config:
        - field.storage.node.field_thesaurus
      module:
        - taxonomy
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: 'solr_text_custom:asciistring'
    dependencies:
      module:
        - node
  type:
    label: 'Type de contenu'
    datasource_id: 'entity:node'
    property_path: type
    type: string
    dependencies:
      module:
        - node
  uid:
    label: uid
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  uuid:
    label: UUID
    datasource_id: 'entity:node'
    property_path: uuid
    type: string
    dependencies:
      module:
        - node
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - materiau
        - thematique
    languages:
      default: false
      selected:
        - en
        - fr
processor_settings:
  add_url: {  }
  address_abbreviations_to_full_form:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: false
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -50
  double_quote_workaround:
    weights:
      postprocess_query: 0
      preprocess_index: -15
      preprocess_query: -48
    all_fields: true
    fields:
      - country_code
      - country_code_1
      - field_famille
      - field_reference
      - name
      - name_1
      - processed
      - tag_name
      - tag_synonyms
      - thesaurus_name
      - thesaurus_synonyms
      - title
      - uuid
    replacement: '|9999999998|'
  entity_status: {  }
  html_filter:
    weights:
      preprocess_index: -15
      preprocess_query: -49
    all_fields: true
    fields:
      - field_country_name_computed
      - field_famille
      - field_reference
      - field_short_description
      - name
      - name_1
      - processed
      - tag_name
      - tag_synonyms
      - thesaurus_name
      - thesaurus_name_0
      - thesaurus_name_1
      - thesaurus_name_2
      - thesaurus_name_3
      - thesaurus_name_4
      - thesaurus_name_edgenstringascii
      - thesaurus_synonyms
      - thesaurus_synonyms_0
      - thesaurus_synonyms_1
      - thesaurus_synonyms_2
      - thesaurus_synonyms_3
      - thesaurus_synonyms_4
      - thesaurus_synonyms_edgenstringascii
      - title
      - type
      - uuid
    title: true
    alt: true
    tags:
      b: 2
      h1: 5
      h2: 3
      h3: 2
      strong: 2
  language_with_fallback: {  }
  rendered_item: {  }
  solr_date_range:
    weights:
      preprocess_index: 0
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 50
  index_directly: true
  track_changes_in_references: true
server: materio
